import { AbstractSession } from "@zowe/imperative";
/**
 * Delete deprovisioned instances.
 * @export
 * @class DeleteInstance
 */
export declare class DeleteInstance {
    /**
     * Performs the delete action against a provisioned software service instance.
     * @param {AbstractSession} session - z/OSMF connection info
     * @param {string} zOSMFVersion - the URI path variable that identifies the version of the z/OSMF software services template service.
     *                              The following value is valid: 1.0.
     * @param {string} instanceId - the object-id of provisioned instance in the registry.
     * @returns {Promise<{}>} z/OSMF response is empty object.
     * @memberof DeleteInstance
     */
    static deleteDeprovisionedInstance(session: AbstractSession, zOSMFVersion: string, instanceId: string): Promise<string>;
}
