import { AbstractSession } from "@zowe/imperative";
/**
 * Class validates parameters for provisioning commands.
 * @export
 * @class ProvisioningValidator
 */
export declare class ProvisioningValidator {
    /**
     * Validate session
     * @static
     * @param {AbstractSession} session - z/OSMF connection info
     * @memberof ProvisioningValidator
     */
    static validateSession(session: AbstractSession): void;
    /**
     * Validate supplied parameters
     * @static
     * @param {string} text - string to check if not null or undefined
     * @param {string} errorMsg - message to show in case validation fails
     * @memberof ProvisioningValidator
     */
    static validateString(text: string, errorMsg: string): void;
    /**
     * Validate supplied parameters
     * @static
     * @param {string} text - string to check if empty
     * @param {string} errorMsg - message to show in case validation fails
     * @memberof ProvisioningValidator
     */
    static validateNotEmptyString(text: string, errorMsg: string): void;
}
