import { AbstractSession } from "@zowe/imperative";
import { IArchivedWorkflow } from "./doc/IArchivedWorkflow";
/**
 * Class to handle archiving the workflow instance in z/OSMF
 *
 * @export
 * @class ArchiveWorkflow
 */
export declare class ArchiveWorkflow {
    /**
     * Archives the workflow based on the workflow key
     *
     * @static
     * @param {AbstractSession} session z/OSMF session
     * @param {string} workflowKey Workflow key of the workflow to be archived
     * @param {string} [zOSMFVersion=WorkflowConstants.ZOSMF_VERSION] z/OSMF REST API version
     * @returns {Promise<IArchivedWorkflow>} Promise of the output of the workflow archiving
     * @memberof ArchiveWorkflow
     */
    static archiveWorfklowByKey(session: AbstractSession, workflowKey: string, zOSMFVersion?: string): Promise<IArchivedWorkflow>;
}
