import { AbstractSession } from "@zowe/imperative";
import { IWorkflowDefinition } from "./doc/IWorkflowDefinition";
export declare class DefinitionWorkflow {
    /**
     * This operation returns properties of the workflow.
     * Parameters indicators are mandatory,request can include steps and variables indicator for requested result.
     * @param {AbstractSession} session - z/OSMF connection info
     * @param {string} filePath - workflow definition name with path.
     * @param {string} zOSMFVersion - the URI path that identifies the version of the provisioning service.
     * @param {boolean} steps - Optional parameter for listing steps properties.
     * @param {boolean} variables - Optional parameter for listing variables properties.
     * @returns {Promise<IWorkflowDefinition>} z/OSMF response object
     * @memberof Definition
     */
    static getWorkflowDefinition(session: AbstractSession, zOSMFVersion: string, filePath: string, steps: boolean, variables: boolean): Promise<IWorkflowDefinition>;
}
