"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Constants for various job related info
 * @export
 * @class JobsConstants
 */
class JobsConstants {
}
exports.JobsConstants = JobsConstants;
/**
 * Step data query string
 * @static
 * @type {string}
 * @memberof JobsConstants
 */
JobsConstants.STEP_DATA = "step-data=Y";
/**
 * Query identifier
 * @static
 * @type {string}
 * @memberof JobsConstants
 */
JobsConstants.QUERY_ID = "?";
/**
 * Query parm delimiter
 * @static
 * @type {string}
 * @memberof JobsConstants
 */
JobsConstants.COMBO_ID = "&";
/**
 * Query id for getting job by an owner
 * @static
 * @type {string}
 * @memberof JobsConstants
 */
JobsConstants.QUERY_OWNER = "owner=";
/**
 * Query id for getting a job by prefix
 * @static
 * @type {string}
 * @memberof JobsConstants
 */
JobsConstants.QUERY_PREFIX = "prefix=";
/**
 * Query id for getting a specific job id
 * @static
 * @type {string}
 * @memberof JobsConstants
 */
JobsConstants.QUERY_JOBID = "jobid=";
/**
 * Query id for getting max jobs
 * @static
 * @type {string}
 * @memberof JobsConstants
 */
JobsConstants.QUERY_MAX_JOBS = "max-jobs=";
/**
 * Wildcard prefix
 * @static
 * @type {string}
 * @memberof JobsConstants
 */
JobsConstants.DEFAULT_PREFIX = "*";
/**
 * Maximum number of jobs to obtain
 * @static
 * @type {number}
 * @memberof JobsConstants
 */
JobsConstants.DEFAULT_MAX_JOBS = 1000;
/**
 * URI base jobs API
 * @static
 * @type {string}
 * @memberof JobsConstants
 */
JobsConstants.RESOURCE = "/zosmf/restjobs/jobs";
/**
 * URI endpoint for getting spool file content
 * @static
 * @type {string}
 * @memberof JobsConstants
 */
JobsConstants.RESOURCE_SPOOL_FILES = "/files";
/**
 * URI endpoint for getting JCL
 * @static
 * @type {string}
 * @memberof JobsConstants
 */
JobsConstants.RESOURCE_JCL_CONTENT = "/JCL";
/**
 * URI endpoint for getting spool files
 * @static
 * @type {string}
 * @memberof JobsConstants
 */
JobsConstants.RESOURCE_SPOOL_CONTENT = "/records";
/**
 * Cancel request constant
 * @static
 * @memberof JobsConstants
 */
JobsConstants.REQUEST_CANCEL = "cancel";
/**
 * Default version of cancel
 * @static
 * @memberof JobsConstants
 */
JobsConstants.DEFAULT_CANCEL_VERSION = "1.0";
//# sourceMappingURL=JobsConstants.js.map