import { IZosmfTsoResponse } from "../../../../zostso";
import { ImperativeError } from "@zowe/imperative";
export interface IStartStopResponses {
    /**
     * True if the command was issued and the responses were collected.
     * @type {boolean}
     * @memberOf IStartStopResponse
     */
    success: boolean;
    /**
     * Response from z/OSMF to start rest call
     * @type (IZosmfTsoResponse}
     * @memberOf IStartStopResponse
     */
    zosmfTsoResponse: IZosmfTsoResponse;
    /**
     * Collected responses from z/OSMF
     * @type (IZosmfTsoResponse}
     * @memberOf IStartStopResponse
     */
    collectedResponses: IZosmfTsoResponse[];
    /**
     * If an error occurs, returns the ImperativeError, which contains cause error.
     * @type {ImperativeError}
     * @memberOf IStartStopResponse
     */
    failureResponse?: ImperativeError;
    /**
     * Servlet key from IZosmfTsoResponse
     * @type (string}
     * @memberOf IStartStopResponse
     */
    servletKey: string;
    /**
     * Appended collected messages including READY prompt at the end.
     * @type string
     * @memberOf ICollectedResponses
     */
    messages: string;
}
