import { ITsoMessage, ITsoPromptMessage, ITsoResponseMessage } from "../../../../index";
/**
 * Interface for TSO/E messages
 * @export
 * @interface ITsoMessages
 */
export interface ITsoMessages {
    /**
     * tso message type of TSO/E messages
     * @type ITsoMessage
     * @memberOf ITsoMessages
     */
    "TSO MESSAGE"?: ITsoMessage;
    /**
     * tso prompt message type of TSO/E messages
     * @type ITsoPromptMessage
     * @memberOf ITsoMessages
     */
    "TSO PROMPT"?: ITsoPromptMessage;
    /**
     * tso response message type of TSO/E messages
     * @type ITsoResponseMessage
     * @memberOf ITsoMessages
     */
    "TSO RESPONSE"?: ITsoResponseMessage;
}
