"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Imperative constants
 * @export
 * @class Constants
 */
class Constants {
}
exports.Constants = Constants;
Constants.FRAMEWORK_DISPLAY_NAME = "Imperative";
Constants.IMPERATIVE_DEFAULT_HOME = "IMPERATIVE_HOME";
Constants.IMPERATIVE_DIRECTORY = ".imperative";
Constants.ERROR_EXIT_CODE = 1;
Constants.PRIMARY_COMMAND = "imperative";
Constants.PROFILES_DIR = "/profiles";
/**
 * Syntax diagram
 */
Constants.COMMAND_SEGMENT = "[command]";
Constants.GROUP_SEGMENT = "[group]";
Constants.OPTIONS_SEGMENT = "[options]";
/**
 * Explanation of experimental features to be used in various places around the CLI
 * @type {string}
 */
Constants.DEFAULT_EXPERIMENTAL_COMMAND_EXPLANATION = "Experimental commands are commands that are not ready for general availability. If you " +
    "decide to use these commands, you might encounter bugs, incompatibilities with your system, " +
    "or incomplete help text. ";
/**
 * Segments
 */
Constants.PRIMARY_SEGMENT_NUMBER = 1;
Constants.GROUP_SEGMENT_NUMBER = 2;
Constants.DEFAULT_SET_PROFILE_OBJECT = "default-profiles";
Constants.DEFAULT_SET_PROFILE_OBJECT_ALIAS = "dbp";
Constants.DEFAULT_SET_GROUP = "set";
Constants.DEFAULT_LIST_PROFILE_OBJECT = "loaded-profiles";
Constants.DEFAULT_LIST_PROFILE_OBJECT_ALIAS = "lbp";
Constants.DEFAULT_LIST_GROUP = "list";
Constants.GLOBAL_GROUP = "Global options";
Constants.JSON_OPTION = "response-format-json";
Constants.JSON_OPTION_ALIAS = "rfj";
Constants.HELP_OPTION = "help";
Constants.HELP_OPTION_ALIAS = "h";
Constants.HELP_EXAMPLES = "help-examples";
Constants.HELP_WEB_OPTION = "help-web";
Constants.HELP_WEB_OPTION_ALIAS = "hw";
Constants.STDIN_OPTION = "stdin";
Constants.STDIN_OPTION_ALIAS = "pipe";
Constants.STDIN_DEFAULT_DESCRIPTION = "Pipe data into this command via stdin";
Constants.OPT_LONG_DASH = "--";
Constants.OPT_SHORT_DASH = "-";
/**
 * If you use the stdin option, you will be able to access the contents buffer
 * through this key on your Arguments object in your command
 * @type {string}
 */
Constants.STDIN_CONTENT_KEY = "stdin-content";
/**
 * Create profile constants
 */
Constants.CREATE_ACTION = "create";
Constants.PROFILE_GROUP = "profiles";
Constants.PROFILE_OBJECT = "profile";
Constants.PROFILE_ALIASES = ["profile", "pr"];
Constants.PROFILE_NAME_OPTION = "profileName";
Constants.PROFILE_NAME_OPTION_ALIAS = "pn";
Constants.OVERWRITE_OPTION = "overwrite";
Constants.DELETE_ACTION = "delete";
Constants.DETAILS_ACTION = "detail";
Constants.SHOW_DEPS_ACTION = "show-dependencies";
Constants.VALIDATE_ACTION = "validate";
Constants.UPDATE_ACTION = "update";
Constants.LIST_ACTION = "list";
Constants.PROFILE_SET_OPTION_ALIAS = `{{typeLetter}}n`;
Constants.SET_ACTION = "set-default";
Constants.PROFILE_DELETE_PROFILE_DEPS = "delete-dependent-profiles";
Constants.PROFILE_DELETE_PROFILE_DEPS_ALIAS = "ddp";
Constants.DEFAULT_HIGHLIGHT_COLOR = "yellow";
Constants.DEFAULT_PROMPT_PHRASE = "PROMPT*";
Constants.WEB_HELP_DIR = "web-help";
//# sourceMappingURL=Constants.js.map