"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
const error_1 = require("../../../../error");
/**
 * This error is thrown when a call to {@link PluginRequireProvider.destroyPluginHooks} has
 * been made without hooks in place.
 */
class PluginRequireNotCreatedError extends error_1.ImperativeError {
    constructor() {
        super({
            msg: "Hooks have not been initialized. Please use `PluginRequireProvider.createPluginHooks(...)` first"
        });
    }
}
exports.PluginRequireNotCreatedError = PluginRequireNotCreatedError;
//# sourceMappingURL=PluginRequireNotCreatedError.js.map