"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
const profiles_1 = require("../../../profiles");
/**
 * The imperative profile manager factory returns instances of the cli profile manager
 * @export
 * @class ProfileManagerFactory
 * @extends {AbstractProfileManagerFactory<ICommandProfileTypeConfiguration>}
 */
class ImperativeProfileManagerFactory extends profiles_1.AbstractProfileManagerFactory {
    constructor(imperativeApi) {
        super();
        this.mImperativeApi = imperativeApi;
    }
    /**
     * Returns a instance of the CliProfileManager
     * @param {string} type - The profile type you want to manage.
     * @returns {CliProfileManager} - The profile manager instance
     * @memberof ProfileManagerFactory
     */
    getManager(type) {
        return this.mImperativeApi.profileManager(type);
    }
}
exports.ImperativeProfileManagerFactory = ImperativeProfileManagerFactory;
//# sourceMappingURL=ImperativeProfileManagerFactory.js.map