"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Constants used for REST client, etc.
 * @export
 * @class RestConstants
 */
class RestConstants {
}
exports.RestConstants = RestConstants;
/**
 * 200
 * @static
 * @memberof RestConstants
 */
RestConstants.HTTP_STATUS_200 = 200;
/**
 * 201
 * @static
 * @memberof RestConstants
 */
RestConstants.HTTP_STATUS_201 = 201;
/**
 * 202
 * @static
 * @memberof RestConstants
 */
RestConstants.HTTP_STATUS_202 = 202; // accepted
/**
 * 204
 * @static
 * @memberof RestConstants
 */
RestConstants.HTTP_STATUS_204 = 204;
/**
 * 300
 * @static
 * @memberof RestConstants
 */
RestConstants.HTTP_STATUS_300 = 300;
/**
 * 400
 * @static
 * @memberof RestConstants
 */
RestConstants.HTTP_STATUS_400 = 400;
/**
 * 401
 * @static
 * @memberof RestConstants
 */
RestConstants.HTTP_STATUS_401 = 401;
/**
 * 404
 * @static
 * @memberof RestConstants
 */
RestConstants.HTTP_STATUS_404 = 404;
/**
 * 500
 * @static
 * @memberof RestConstants
 */
RestConstants.HTTP_STATUS_500 = 500;
/**
 * Set cookie property
 * @static
 * @type {string}
 * @memberof RestConstants
 */
RestConstants.PROP_COOKIE = "set-cookie";
/**
 * Query identifier
 * @static
 * @memberof RestConstants
 */
RestConstants.QUERY_ID = "?";
/**
 * Basic auth
 * @static
 * @type {string}
 * @memberof RestConstants
 */
RestConstants.BASIC_PREFIX = "Basic ";
/**
 * Bearer auth
 * @static
 * @type {string}
 * @memberof RestConstants
 */
RestConstants.BEARER_PREFIX = "Bearer ";
//# sourceMappingURL=RestConstants.js.map