/*!
 * This program and the accompanying materials are made available under the terms of the
 * Eclipse Public License v2.0 which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-v20.html
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Copyright Contributors to the Zowe Project.
 *
 */
import { IPerformanceMetrics } from "../performance/manager";
/**
 * Save metrics into the next log file.
 *
 * Upon execution this function will first roll any logs based on the value
 * present within environmental {@link ENV_IO_MAX_HISTORY} variable. The directory
 * that is checked will be determined from the {@link ENV_IO_SAVE_DIR} value.
 *
 * @param data The object data to save in a file.
 *
 * @todo This function needs to be enhanced so that an environment variable can
 * influence the file name.
 *
 * @internal
 */
export declare function saveMetrics(data: IPerformanceMetrics): void;
