"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../index");
const document_1 = require("./document");
const utils_1 = require("../../../shared/utils");
const icon = {
    id: index_1.IconId.downloadedDocument,
    type: index_1.IconHierarchyType.derived,
    path: utils_1.getIconPathInResources("document-downloaded.svg"),
    check: (node) => {
        // Here we need to do check for potentially derived class, that's why any is required
        const generalizedNode = node;
        if (typeof generalizedNode.downloaded !== "undefined") {
            const parentCheck = document_1.default.check(generalizedNode);
            return parentCheck && generalizedNode.downloaded;
        }
        return false;
    }
};
exports.default = icon;

//# sourceMappingURL=downloadedDocument.js.map
